function auralize(h,impulse_wav_output,impulse_txt_output,wav_input,wav_output)
%impulse_wav_output = vystupni soubor s impulzni charakteristikou ve formatu WAV (zapis ve formatu: 'soubor.wav')
%impulse_txt_output = vystupni soubor s impulzni charakteristikou v textovem formatu (zapis ve formatu: 'soubor.txt')
%wav_input = vstupni zvukovy jednokanalovy soubor WAV urceny k auralizaci   | 
%wav_output = vystupni auralizovany zvukovy jednokanalovy soubor WAV        | zapisy opet ve formatu 'soubor.wav'

%priklad volani: auralize(hh,'impulse.wav','impulse.txt','five.wav','auralized.wav');

%normalizace
h = h ./ abs(max(abs(h)));

% zapis charakteristiky do souboru
id_h = fopen(impulse_txt_output, 'w');
fprintf(id_h,'%f \n',h);
fclose(id_h);

wavwrite(h',48000,impulse_wav_output)

x1 = wavread(wav_input);
aur = conv(x1',h);
%vystupni normalizace
aur = aur ./ abs(max(abs(aur)));
wavwrite(aur',48000,wav_output);